//////////////////////////////////////////
// Shader for DC_CAGE1_FRONT (DEATHCOW)
//////////////////////////////////////////

// This is the shader to make the monster's eyes move for Deathcow's monster cage
// Thanks to Karloff for his help!

textures/5th_crate/dc_monster1
{
//qer_editorimage map textures/5th_crate/dc_monster1.tga

	{
		clampmap textures/5th_crate/dc_cage1_eyes.tga
		rgbGen wave inversesawtooth 0.1 15 0 0.25 
		tcMod stretch triangle 1 0.1 0 0.1 
		tcMod turb 0 0.01 0 0.05
	}
	{
		map textures/5th_crate/dc_cage1_front.tga
		blendfunc blend
		rgbGen identity
		depthWrite
		alphaFunc GT0
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
}
//////////////////////////////////////////
// Shaders for Crates by HuGo the ClOwN
//////////////////////////////////////////

textures/5th_crate/htc_box2
{
//qer_editorimage 5th_crate/htc_box2.tga

	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/5th_crate/htc_box2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/5th_crate/htc_toxic
{
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/5th_crate/htc_toxic.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/5th_crate/htc_toxic2
{
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/5th_crate/htc_toxic2.tga //added htc_
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//////////////////////////////////////////
// Shaders for Sc4r4b's XCrate
//////////////////////////////////////////

textures/5th_crate/sc4_xcrate_side
{
	q3map_lightimage textures/5th_crate/sc4_xcrate_side_fx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 55
	q3map_surfacelight 85
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/5th_crate/sc4_xcrate_side.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/5th_crate/sc4_xcrate_side_fx.tga
		blendfunc add
		rgbGen wave sawtooth 0.4 1 3 3.6 
	}
}

textures/5th_crate/sc4_xcrate_top
{
	q3map_lightimage textures/5th_crate/sc4_xcrate_top_fx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 55
	q3map_surfacelight 85
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/5th_crate/sc4_xcrate_top.tga  //added sc4_
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/5th_crate/sc4_xcrate_top_fx.tga //added sc4_
		blendfunc add
		rgbGen wave sawtooth 0.4 1 3 3.6 
	}
}
//////tc crate scripts

textures/5th_crate/crate_grnsidtool
{
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/crate_grnsidtool.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/crate_grntool
{
	surfaceparm tin
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/crate_grntool.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/sl_crate_side_1
{
	surfaceparm plastic
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/sl_crate_side_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/sl_crate_side_2
{
	surfaceparm plastic
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/sl_crate_side_2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/sl_crate_side_3
{
	surfaceparm plastic
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/sl_crate_side_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/sl_crate_side_4
{
	surfaceparm plastic
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/sl_crate_side_4.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/5th_crate/sl_crate_top
{
	surfaceparm plastic
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/5th_crate/sl_crate_top.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}